/*
 * To change this template, choose Tools | Templates
 * and open the template in the editor.
 */

package edu.duke.igsp.app.algorithms;

import edu.mit.broad.genome.objects.Template;
import java.util.ArrayList;


public class VectorSplitter {
    /**
     * Class constructor
     */
    public VectorSplitter() {}

    private static String _barf_not_biphasic(final Template template, final ArrayList[] vs) {
        StringBuffer buf = new StringBuffer("Template is not biphasic. Name: " + template.getName() + " # splits= " + vs.length);
        buf.append("\n<br>This metric can only be used with 2 class comparisons");
        throw new RuntimeException(buf.toString());
    }

    public ArrayList[] splitBiphasic(final ArrayList profile, final Template template) {

        final ArrayList[] vs = template.splitByTemplateClass(profile);

        if (vs.length != 2) {
            _barf_not_biphasic(template, vs);
        }

        if (vs[0] == null) {
            throw new IllegalArgumentException("Split vector 0 is null");
        }

        if (vs[1] == null) {
            throw new IllegalArgumentException("Split vector 1 is null");
        }

        return vs;
    }

} // End class VectorSplitter

