/**
 * The Broad Institute
 * SOFTWARE COPYRIGHT NOTICE AGREEMENT
 * This software and its documentation are copyright 2004-2005 by the
 * Broad Institute/Massachusetts Institute of Technology.
 * All rights are reserved.
 * This software is supplied without any warranty or guaranteed support
 * whatsoever. Neither the Broad Institute nor MIT can be responsible for
 * its use, misuse, or functionality.
 */
package edu.mit.broad.vdb;


import edu.mit.broad.genome.Version;

/**
 * @author Aravind Subramanian
 *         Date: Jan 2, 2004
 *         Time: 1:05:52 PM
 */
public interface Vdb {

    public int getNumRecords();

    public String getSourcePath();

    public Version getVersion();

    public String getName();

} // End interface Vdb
