package edu.mit.broad.vdb.chip;

import edu.mit.broad.genome.NotImplementedException;
import edu.mit.broad.vdb.meg.Gene;

/**
 * @author: Aravind Subramanian
 * Date: Mar 24, 2007
 * Time: 7:31:19 PM
 */
public class GeneProbe implements Probe {

    private String fName;

    private Gene fGene;

    /**
     * Class constructor
     *
     * @param name
     * @param gene
     */
    public GeneProbe(final String name, final Gene gene) {
        this.fName = name;
        this.fGene = gene;
    }

    public Probe cloneDeepProbe() {
        throw new NotImplementedException();
    }

    public String getName() {
        return fName;
    }

    public Gene getGene() {
        return fGene;
    }

} // End interface Probe


