package edu.mit.broad.vdb.meg;

import edu.mit.broad.vdb.Vdb;
import edu.mit.broad.vdb.chip.Probe;

import java.util.Map;
import java.util.Set;

/**
 * @author Aravind Subramanian
 *         Date: Oct 16, 2006
 *         Time: 9:01:50 PM
 */
public interface AliasDb extends Vdb {

    public boolean isAlias(final String alias) throws Exception;

    // may return null
    public String getSymbol(final String alias) throws Exception;

    public Gene getHugo(final String alias) throws Exception;

    public Probe[] getAliasesAsProbes() throws Exception;

    // may return null
    public Map getSymbolAliasesMap() throws Exception;

    public Set getAliases(final String symbol_in) throws Exception;

    public String[] getAliases_array(final String symbol_in) throws Exception;

} // End class IAliasDb
