package edu.mit.broad.vdb.msigdb;

/**
 * @author Aravind Subramanian
 *         Date: Oct 23, 2005
 *         Time: 8:48:17 PM
 */
public class GeneSetExternalLinksImpl implements GeneSetExternalLinks {

    private String fPMID;
    private String fGeoID;
    private String fSpecificGeneSetListingURL;
    private String fExtDetailsURL;

    /**
     * Class constructor
     *
     * @param pmid
     * @param specificGeneSetListiingURL
     * @param extDetailsurl
     */
    public GeneSetExternalLinksImpl(String pmid,
                                    String geoid,
                                    String specificGeneSetListingURL,
                                    String extDetailsURL) {
        this.fPMID = pmid;
        this.fGeoID = geoid;
        this.fSpecificGeneSetListingURL = specificGeneSetListingURL;
        this.fExtDetailsURL = extDetailsURL;
    }

    public String getPMID() {
        return fPMID;
    }

    public String getGeoID() {
        return fGeoID;
    }

    public String getSpecificGeneSetListingURL() {
        return fSpecificGeneSetListingURL;
    }

    public String getExtDetailsURL() {
        return fExtDetailsURL;
    }

} // End class GeneSetExternalLinkImpl
