package edu.mit.broad.vdb.sampledb;

import edu.mit.broad.genome.objects.Dataset;
import edu.mit.broad.genome.objects.DefaultDataset;

/**
 * @author Aravind Subramanian
 *         Date: Jun 27, 2006
 *         Time: 1:13:41 AM
 */
public interface StateExpression {

    public State getState();

    public Dataset getDataset();

    public double getMeanOrMedianValue(final String rowName, final boolean useMean);

    public float calcPCallFrac(final DefaultDataset ds_with_apm, final String probeName);

    public float calcExpressionFrac(final float exprMoreThanThisValue, final String probeName);

    public float calcExpressionMean(final String probeName, final boolean useMeanGex_for_each_class_not_median);

} // End class StateExpression
