/**
 * The Broad Institute
 * SOFTWARE COPYRIGHT NOTICE AGREEMENT
 * This software and its documentation are copyright 2004-2005 by the
 * Broad Institute/Massachusetts Institute of Technology.
 * All rights are reserved.
 * This software is supplied without any warranty or guaranteed support
 * whatsoever. Neither the Broad Institute nor MIT can be responsible for
 * its use, misuse, or functionality.
 */
package edu.mit.broad.xbench.tui;

import xtools.api.param.ParamSet;

import java.awt.*;
import java.awt.event.MouseMotionListener;

/**
 * @author Aravind Subramanian
 *         Date: Dec 16, 2004
 *         Time: 4:12:32 PM
 */
public interface ParamSetDisplay {

    public void addMouseMotionListener(MouseMotionListener l);

    public Component getAsComponent();


    /**
     * restores defaults as got from the current ParamSet
     */
    public void reset();

    public void set(final ParamSet pset);

}
