/*
 The Broad Institute
 SOFTWARE COPYRIGHT NOTICE AGREEMENT
 This software and its documentation are copyright (2003-2006) by the
 Broad Institute/Massachusetts Institute of Technology. All rights are
 reserved.

 This software is supplied without any warranty or guaranteed support
 whatsoever. Neither the Broad Institute nor MIT can be responsible for its
 use, misuse, or functionality.
 */

/*
 The Broad Institute
 SOFTWARE COPYRIGHT NOTICE AGREEMENT
 This software and its documentation are copyright (2003-2006) by the
 Broad Institute/Massachusetts Institute of Technology. All rights are
 reserved.

 This software is supplied without any warranty or guaranteed support
 whatsoever. Neither the Broad Institute nor MIT can be responsible for its
 use, misuse, or functionality.
 */

package org.genepattern.gsea;

import org.jfree.data.xy.XYSeriesCollection;

/**
 * @author Joshua Gould
 */
class HistogramDataset extends XYSeriesCollection {
    private double binWidth;

    public HistogramDataset(double binWidth) {
        this.binWidth = binWidth;
    }

    public Number getStartX(int series, int item) {
        return getX(series, item);
    }

    public Number getEndX(int series, int item) {
        Number n = getX(series, item);
        return new Double(n.doubleValue() + binWidth);
    }
}