/*
 The Broad Institute
 SOFTWARE COPYRIGHT NOTICE AGREEMENT
 This software and its documentation are copyright (2003-2006) by the
 Broad Institute/Massachusetts Institute of Technology. All rights are
 reserved.

 This software is supplied without any warranty or guaranteed support
 whatsoever. Neither the Broad Institute nor MIT can be responsible for its
 use, misuse, or functionality.
 */

package org.genepattern.gsea;

import edu.mit.broad.xbench.core.api.Application;
import org.genepattern.uiutil.UIUtil;

import java.awt.*;

/**
 * @author Joshua Gould
 */
public class XToolsMessageHandler implements UIUtil.MessageHandler {

    public void showMessageDialog(Component parent, String message) {
        Application.getWindowManager().showMessage(message);
    }

    public void showErrorDialog(Component parent, String message) {
        Application.getWindowManager().showError(message);
    }

}
