/*
  The Broad Institute
  SOFTWARE COPYRIGHT NOTICE AGREEMENT
  This software and its documentation are copyright (2003-2006) by the
  Broad Institute/Massachusetts Institute of Technology. All rights are
  reserved.

  This software is supplied without any warranty or guaranteed support
  whatsoever. Neither the Broad Institute nor MIT can be responsible for its
  use, misuse, or functionality.
*/

/*
  The Broad Institute
  SOFTWARE COPYRIGHT NOTICE AGREEMENT
  This software and its documentation are copyright (2003-2006) by the
  Broad Institute/Massachusetts Institute of Technology. All rights are
  reserved.

  This software is supplied without any warranty or guaranteed support
  whatsoever. Neither the Broad Institute nor MIT can be responsible for its
  use, misuse, or functionality.
*/


package org.genepattern.menu.jfree;

import org.genepattern.menu.FileMenu;
import org.genepattern.menu.GPMenuBar;
import org.genepattern.menu.ViewMenu;
import org.genepattern.table.GPTable;

import javax.swing.*;

public class JFreeMenuBar extends GPMenuBar {

    public JFreeMenuBar(GPTable table, JComponent plot, java.awt.Frame parent,
                        int featureColumnIndex) {
        super(table, plot, parent, featureColumnIndex);
    }


    public JFreeMenuBar(GPTable table, JComponent plot, java.awt.Frame parent,
                        int featureColumnIndex, boolean showExitMenu) {
        super(table, plot, parent, featureColumnIndex, showExitMenu);
    }

    public JFreeMenuBar(JComponent plot, java.awt.Frame parent) {
        super(plot, parent);
    }

    protected FileMenu createFileMenu(JComponent plot) {
        return new JFreeFileMenu(plot, parent, showExitMenu);
    }

    protected ViewMenu createViewMenu(JComponent plot) {
        return new JFreeViewMenu(plot, parent);
    }
}
