package xapps.browser;

import com.jidesoft.dialog.ButtonNames;
import com.jidesoft.dialog.ButtonPanel;
import edu.mit.broad.genome.JarResources;

import javax.swing.*;

/**
 * @author Aravind Subramanian
 *         Date: Mar 17, 2006
 *         Time: 7:32:12 PM
 */
public class MGUIUtils {

    public static JPanel createExportSetsControlPanel(VToolsForMSigDBBrowser.ViewerHook hook_only_sel,
                                                      VToolsForMSigDBBrowser.ViewerHook hook_all) {

        ButtonPanel bp = new ButtonPanel();

        bp.setBorder(BorderFactory.createEmptyBorder(5, 10, 20, 10));

        JButton bHelp = JarResources.createHelpButton("msigdb_browser");
        bp.addButton(bHelp, ButtonNames.HELP);

        //bp.add(new JLabel("For displayed gene sets: "));

        // @todo perhaps add overlaps thing later (confusing now with lev)
        //JButton bfindOverlaps = new JButton("Display overlaps", JarResources.getIcon("findOverlaps.gif"));
        //bp.addButton(bfindOverlaps);
        //bfindOverlaps.addActionListener(new VToolsForMSigDBBrowser.DisplayOverlaps(fMSigDB, fInstance, fTabbedPane_opt));

        /*
        JButton bExport = new JButton("Export selected sets as GeneSetMatrix", JarResources.getIcon("ExportAsGeneSetMatrix.gif"));
        bExport.addActionListener(new VToolsForMSigDBBrowser.ExportGeneSets(hook_only_sel));
        bp.addButton(bExport);

        JButton bExportAll = new JButton("Export ALL sets as GeneSetMatrix", JarResources.getIcon("ExportAsGeneSetMatrix.gif"));
        bExportAll.addActionListener(new VToolsForMSigDBBrowser.ExportGeneSets(hook_all));
        bp.addButton(bExportAll);
        */

        JButton bExportAll = new JButton("Export sets as GeneSetMatrix", JarResources.getIcon("ExportAsGeneSetMatrix.gif"));
        bExportAll.addActionListener(new VToolsForMSigDBBrowser.ExportGeneSets(hook_all));
        bp.addButton(bExportAll);

        /*
        JButton bCluster = new JButton("Display overlaps", JarResources.getIcon("Overlaps.png"));
        bCluster.addActionListener(new VToolsForMSigDBBrowser.DisplayOverlapsJosh(hook_all));
        bp.addButton(bCluster);
        */

        return bp;
    }


} // End class MGUIUtils
