/**
 * The Broad Institute
 * SOFTWARE COPYRIGHT NOTICE AGREEMENT
 * This software and its documentation are copyright 2004-2005 by the
 * Broad Institute/Massachusetts Institute of Technology.
 * All rights are reserved.
 * This software is supplied without any warranty or guaranteed support
 * whatsoever. Neither the Broad Institute nor MIT can be responsible for
 * its use, misuse, or functionality.
 */
package xapps.gsea;

import edu.mit.broad.genome.swing.GuiHelper;
import edu.mit.broad.xbench.actions.ext.BrowserAction;

public class GseaHelpAction extends BrowserAction {

    public GseaHelpAction() {
        super("GSAA documentation", "Online documentation of the GSAA algorithm and software",
                GuiHelper.ICON_HELP16, GseaWebResources.getGsaaHelpURL());
    }

    public GseaHelpAction(String name, String desc, String url) {
        super(name, desc, GuiHelper.ICON_HELP16, url);
    }

}    // End GseaHelpAction