/**
 * The Broad Institute
 * SOFTWARE COPYRIGHT NOTICE AGREEMENT
 * This software and its documentation are copyright 2004-2005 by the
 * Broad Institute/Massachusetts Institute of Technology.
 * All rights are reserved.
 * This software is supplied without any warranty or guaranteed support
 * whatsoever. Neither the Broad Institute nor MIT can be responsible for
 * its use, misuse, or functionality.
 */
package xtools.api.param;

import edu.mit.broad.vdb.map.Chip2ChipMapper;


/**
 * choose 1 or more string
 *
 * @author Aravind Subramanian
 * @version %I%, %G%
 */
public class Chip2ChipMapperOptParam extends Chip2ChipMapperAbstractChooserParam {

    /**
     * Class constructor
     *
     * @param name
     * @param type
     * @param desc
     */
    public Chip2ChipMapperOptParam(boolean reqd,
                                   boolean multipleAllowed,
                                   IChipParam sourceChipParam,
                                   IChipParam targetChipParam) {
        super(MAP, MAP_ENGLISH, MAP_DESC, reqd, multipleAllowed, sourceChipParam, targetChipParam);
    }

    public Chip2ChipMapper[] getMappers() throws Exception {
        return super._getMappers();
    }

}    // End class Chip2ChipMapperOptParam

