package xtools.api.param;


import edu.mit.broad.genome.parsers.ParserFactory;
import edu.mit.broad.vdb.msigdb.MSigDB;

/**
 * @author Aravind Subramanian
 * @version %I%, %G%
 */
public class MSigDBParam extends FileParam {
    /**
     * Class constructor
     */
    public MSigDBParam(boolean reqd) {
        super(MSIGDB, MSIGDB_ENGLISH, reqd);
    }

    public MSigDB getMSigDB() throws Exception {
        return ParserFactory.readMSigDB(getFile(), true);
    }

}    // End class MSigDBParam
