/**
 * The Broad Institute
 * SOFTWARE COPYRIGHT NOTICE AGREEMENT
 * This software and its documentation are copyright 2004-2005 by the
 * Broad Institute/Massachusetts Institute of Technology.
 * All rights are reserved.
 * This software is supplied without any warranty or guaranteed support
 * whatsoever. Neither the Broad Institute nor MIT can be responsible for
 * its use, misuse, or functionality.
 */
package edu.mit.broad.vdb.chip;

/**
 * @author Aravind Subramanian
 *         Date: Jan 22, 2005
 *         Time: 8:33:44 PM
 */
public class ChipHelper {

    // Seperate method here to that the opt below can be done
    public static Chip createComboChip(final Chip[] chips) throws Exception {
        if (chips == null || chips.length == 0) {
            throw new IllegalArgumentException("Parameter chips cannot be null or zero length");
        } else if (chips.length == 1) {
            return chips[0];
        } else {
            return new FileInMemoryChip(chips);
        }
    }

}
