/**
 * The Broad Institute
 * SOFTWARE COPYRIGHT NOTICE AGREEMENT
 * This software and its documentation are copyright 2004-2005 by the
 * Broad Institute/Massachusetts Institute of Technology.
 * All rights are reserved.
 * This software is supplied without any warranty or guaranteed support
 * whatsoever. Neither the Broad Institute nor MIT can be responsible for
 * its use, misuse, or functionality.
 */
package edu.mit.broad.vdb.map;

import edu.mit.broad.genome.objects.GeneSet;

/**
 * @author Aravind Subramanian
 *         Date: Feb 18, 2005
 *         Time: 5:25:03 PM
 */
public interface MGeneSet {

    public GeneSet getMappedGeneSet(final boolean simpleName);

    public MappingEtiology getEtiology();

} // End interface MGeneSet
