/**
 * The Broad Institute
 * SOFTWARE COPYRIGHT NOTICE AGREEMENT
 * This software and its documentation are copyright 2004-2005 by the
 * Broad Institute/Massachusetts Institute of Technology.
 * All rights are reserved.
 * This software is supplied without any warranty or guaranteed support
 * whatsoever. Neither the Broad Institute nor MIT can be responsible for
 * its use, misuse, or functionality.
 */
package edu.mit.broad.xbench.actions;


import java.io.File;


/**
 * Tagging class for actions that work off off one or more Files
 *
 * @author Aravind Subramanian
 * @version %I%, %G%
 * @see FileAction
 */
public abstract class FilesAction extends FileAction {
    public abstract void setFiles(File[] files);
}    // End FilesAction

/*--- Formatted in Sun Java Convention Style on Fri, Sep 27, '02 ---*/
