/**
 * The Broad Institute
 * SOFTWARE COPYRIGHT NOTICE AGREEMENT
 * This software and its documentation are copyright 2004-2005 by the
 * Broad Institute/Massachusetts Institute of Technology.
 * All rights are reserved.
 * This software is supplied without any warranty or guaranteed support
 * whatsoever. Neither the Broad Institute nor MIT can be responsible for
 * its use, misuse, or functionality.
 */
package edu.mit.broad.xbench.core.api;

import java.io.File;

/**
 * @author Aravind Subramanian
 *         Date: Feb 9, 2005
 *         Time: 11:20:17 PM
 */
public class DescriptedFile extends File {

    public File file;
    public String desc;

    /**
     * Class constructor
     *
     * @param file
     * @param desc
     */
    public DescriptedFile(File file, String desc) {
        super(file.toURI());
        this.file = file;
        this.desc = desc;
    }

    public String toString() {
        return file.toString();
    }

} // End class DescriptedFile
