package edu.mit.broad.xbench.core.api;

import javax.swing.*;

/**
 * This is like xtools.Tool
 * except that it is run from a visualization in a UI.
 * <p/>
 * HAS TO BE HERE ELSE JUNIT BARFS
 * <p/>
 *
 * @author Aravind Subramanian
 *         Date: Jan 6, 2006
 *         Time: 11:41:31 PM
 */
public interface VTool extends Action {

    /**
     * @return The name of this Tool
     */
    public String getName();

    public String getTitle();

    public VTool.Runnable getRunnable();

    public JComponent getComponent();

    public JComponent getInitFocusedComponent();

    public boolean isRequiredAllSet();

    // subclasses can override
    public String getSaveNameHint();

    public String getSaveName();

    // subclasses can override
    public String getComponentMessage();

    public String getHelpURL();

    // The reason didnt re-use object.runnable is so that this can throw an exception
    // just like with tool execs the exception is best handled at a higher level
    public interface Runnable {

        public void run() throws Exception;

    }

} // End class ModalAction
