/*
  The Broad Institute
  SOFTWARE COPYRIGHT NOTICE AGREEMENT
  This software and its documentation are copyright (2003-2006) by the
  Broad Institute/Massachusetts Institute of Technology. All rights are
  reserved.

  This software is supplied without any warranty or guaranteed support
  whatsoever. Neither the Broad Institute nor MIT can be responsible for its
  use, misuse, or functionality.
*/

/**
 *
 */
package org.genepattern.annotation;

/**
 * Model for annotating features in a table
 *
 * @author jgould
 */
public interface SetAnnotatorModel {
    public int getIndex(String name);

    public String getName(int index);

    public int getMappedIndex(int row);

    /**
     * @return the number of features in the model
     */
    public int getFeatureCount();

}