/*
 The Broad Institute
 SOFTWARE COPYRIGHT NOTICE AGREEMENT
 This software and its documentation are copyright (2003-2006) by the
 Broad Institute/Massachusetts Institute of Technology. All rights are
 reserved.

 This software is supplied without any warranty or guaranteed support
 whatsoever. Neither the Broad Institute nor MIT can be responsible for its
 use, misuse, or functionality.
 */

/*
 The Broad Institute
 SOFTWARE COPYRIGHT NOTICE AGREEMENT
 This software and its documentation are copyright (2003-2006) by the
 Broad Institute/Massachusetts Institute of Technology. All rights are
 reserved.

 This software is supplied without any warranty or guaranteed support
 whatsoever. Neither the Broad Institute nor MIT can be responsible for its
 use, misuse, or functionality.
 */

package org.genepattern.menu;

import org.genepattern.table.GPTable;

import javax.swing.*;
import java.awt.*;

/**
 * @author Joshua Gould
 */
public class EditMenu extends JMenu {
    int featureNameColumn;

    public EditMenu(Frame parent, GPTable table, int featureNameColumn) {
        super("Edit");
        add(table.getCopyAction());
        add(table.getSelectAllAction());
        if (featureNameColumn >= 0) {
            add(new JSeparator());
            add(new FindAction(parent, table, featureNameColumn));
        }
    }

}
