/*
 The Broad Institute
 SOFTWARE COPYRIGHT NOTICE AGREEMENT
 This software and its documentation are copyright (2003-2006) by the
 Broad Institute/Massachusetts Institute of Technology. All rights are
 reserved.

 This software is supplied without any warranty or guaranteed support
 whatsoever. Neither the Broad Institute nor MIT can be responsible for its
 use, misuse, or functionality.
 */

/*
 The Broad Institute
 SOFTWARE COPYRIGHT NOTICE AGREEMENT
 This software and its documentation are copyright (2003-2006) by the
 Broad Institute/Massachusetts Institute of Technology. All rights are
 reserved.

 This software is supplied without any warranty or guaranteed support
 whatsoever. Neither the Broad Institute nor MIT can be responsible for its
 use, misuse, or functionality.
 */

package org.genepattern.menu.jfree;

import org.genepattern.menu.FileMenu;
import org.genepattern.menu.PlotAction;

import javax.swing.*;
import java.awt.*;

/**
 * @author Joshua Gould
 */
public class JFreeFileMenu extends FileMenu {

    protected PlotAction[] createPlotActions() {
        return new PlotAction[]{new JFreeSaveImageAction(parent),
                new JFreePrintAction()};
    }

    public JFreeFileMenu(JComponent plot, Frame parent) {
        this(plot, parent, false);
    }

    public JFreeFileMenu(JComponent plot, Frame parent, boolean showExit) {
        super(plot, parent);
        if (showExit) {
            add(createExitMenuItem());
        }
    }

}
