/*
 The Broad Institute
 SOFTWARE COPYRIGHT NOTICE AGREEMENT
 This software and its documentation are copyright (2003-2006) by the
 Broad Institute/Massachusetts Institute of Technology. All rights are
 reserved.

 This software is supplied without any warranty or guaranteed support
 whatsoever. Neither the Broad Institute nor MIT can be responsible for its
 use, misuse, or functionality.
 */

/*
 The Broad Institute
 SOFTWARE COPYRIGHT NOTICE AGREEMENT
 This software and its documentation are copyright (2003-2006) by the
 Broad Institute/Massachusetts Institute of Technology. All rights are
 reserved.

 This software is supplied without any warranty or guaranteed support
 whatsoever. Neither the Broad Institute nor MIT can be responsible for its
 use, misuse, or functionality.
 */

package org.genepattern.menu.jfree;

import org.genepattern.menu.PlotAction;
import org.jfree.chart.ChartPanel;

import java.awt.event.ActionEvent;

public class JFreeResetPlotAction extends PlotAction {

    public JFreeResetPlotAction(String name) {
        super(name);
        // javax.swing.KeyStroke ks =
        // javax.swing.KeyStroke.getKeyStroke(java.awt.event.KeyEvent.VK_EQUALS,
        // java.awt.Toolkit.getDefaultToolkit().getMenuShortcutKeyMask());
        // this.putValue(javax.swing.AbstractAction.ACCELERATOR_KEY, ks);
    }

    public void actionPerformed(ActionEvent e) {
        ChartPanel plot = (ChartPanel) getPlot();
        plot.restoreAutoBounds();
    }

    public static void reset(ChartPanel plot) {
        plot.restoreAutoBounds();
    }

}
