/**
 * The Broad Institute
 * SOFTWARE COPYRIGHT NOTICE AGREEMENT
 * This software and its documentation are copyright 2004-2005 by the
 * Broad Institute/Massachusetts Institute of Technology.
 * All rights are reserved.
 * This software is supplied without any warranty or guaranteed support
 * whatsoever. Neither the Broad Institute nor MIT can be responsible for
 * its use, misuse, or functionality.
 */
package xtools.api.param;

import edu.mit.broad.genome.StandardException;

/**
 * @author Aravind Subramanian
 *         Date: Jan 21, 2005
 *         Time: 6:03:15 PM
 */
public class BadParamException extends StandardException {

    /**
     * Class constructor
     *
     * @param badParams
     */
    public BadParamException(final String title, int errorCode) {
        super(title, errorCode);
    }

} // End class BadParamException
