package xtools.api.param;

import edu.mit.broad.vdb.chip.Chip;

/**
 * @author Aravind Subramanian
 *         Date: Dec 7, 2006
 *         Time: 11:36:46 AM
 */
public class ChipOptParam extends WChipChooserAbstractParam {

    public ChipOptParam(String name, String nameEnglish, String desc) {
        super(name, nameEnglish, desc, false, true);
    }

    public ChipOptParam(String name) {
        this(name, CHIP_ENGLISH, CHIP_DESC);
    }

    public ChipOptParam(boolean reqd) {
        super(CHIP, CHIP_ENGLISH_MULTI, CHIP_DESC_MULTI, reqd, true);
    }

    public ChipOptParam() {
        this(CHIP);
    }

    public Chip getChip() throws Exception {
        return super._getChip();
    }

    public Chip getChipCombo() throws Exception {
        return super._getChip();
    }

}    // End class ChipOptParam
