package xtools.api.param;

import edu.mit.broad.vdb.chip.Chip;

/**
 * @author Aravind Subramanian
 *         Date: Dec 12, 2006
 *         Time: 3:15:45 PM
 */
public class ChipReqdParam extends WChipChooserAbstractParam {

    public ChipReqdParam(String name, String nameEnglish, String desc) {
        super(name, nameEnglish, desc, true, true);
    }

    public ChipReqdParam(String name) {
        this(name, CHIP_ENGLISH, CHIP_DESC);
    }

    public ChipReqdParam(boolean reqd) {
        super(CHIP, CHIP_ENGLISH_MULTI, CHIP_DESC_MULTI, true, reqd);
    }

    public ChipReqdParam() {
        this(CHIP);
    }

    public Chip getChip() throws Exception {
        return super._getChip();
    }

    public Chip getChipCombo() throws Exception {
        return super._getChip();
    }

}    // End class WChipReqdParam
