/**
 * The Broad Institute
 * SOFTWARE COPYRIGHT NOTICE AGREEMENT
 * This software and its documentation are copyright 2004-2005 by the
 * Broad Institute/Massachusetts Institute of Technology.
 * All rights are reserved.
 * This software is supplied without any warranty or guaranteed support
 * whatsoever. Neither the Broad Institute nor MIT can be responsible for
 * its use, misuse, or functionality.
 */
package xtools.api.param;


import edu.mit.broad.genome.parsers.DataFormat;

/**
 * @author Aravind Subramanian
 * @version %I%, %G%
 */
public class DatasetFormatParam extends DataFormatAbstractParam {

    /**
     * Class constructor
     *
     * @param name
     * @param desc
     */
    public DatasetFormatParam(boolean reqd) {
        this(DataFormat.GCT_FORMAT, reqd);
    }

    /**
     * Class constructor
     *
     * @param def
     * @param reqd
     */
    public DatasetFormatParam(DataFormat def, boolean reqd) {
        super(DATAFORMAT_DATASET, DATAFORMAT_DATASET_ENGLISH, DATAFORMAT_DATASET_DESC,
                def, DataFormat.ALL_DATASET_FORMATS, reqd);
    }

}    // End class DatasetFormatParam

/*--- Formatted in Sun Java Convention Style on Fri, Sep 27, '02 ---*/
