/**
 * The Broad Institute
 * SOFTWARE COPYRIGHT NOTICE AGREEMENT
 * This software and its documentation are copyright 2004-2005 by the
 * Broad Institute/Massachusetts Institute of Technology.
 * All rights are reserved.
 * This software is supplied without any warranty or guaranteed support
 * whatsoever. Neither the Broad Institute nor MIT can be responsible for
 * its use, misuse, or functionality.
 */
package xtools.api.param;


/**
 * <p> Param to capture whether or not to run too in GUI mode</p>
 * <p> </p>
 * <p> </p>
 * <p> </p>
 *
 * @author Aravind Subramanian
 * @version %I%, %G%
 */
public class GuiParam extends BooleanParam {

    /**
     * Class constructor
     * <p/>
     * default -> if reqd, then true, false
     * else false, true
     *
     * @param reqd
     */
    public GuiParam() {
        super(GUI, GUI_DESC, false, false); // defaults: never reqd, default is false
    }

    public GuiParam(boolean def, boolean reqd) {
        super(GUI, GUI_DESC, def, reqd);
    }

}    // End class GuiParam

/*--- Formatted in Sun Java Convention Style on Fri, Sep 27, '02 ---*/
