/**
 * The Broad Institute
 * SOFTWARE COPYRIGHT NOTICE AGREEMENT
 * This software and its documentation are copyright 2004-2005 by the
 * Broad Institute/Massachusetts Institute of Technology.
 * All rights are reserved.
 * This software is supplied without any warranty or guaranteed support
 * whatsoever. Neither the Broad Institute nor MIT can be responsible for
 * its use, misuse, or functionality.
 */
package xtools.api.param;


import edu.mit.broad.genome.math.Matrix;

import java.awt.event.ActionListener;

/**
 * @author Aravind Subramanian
 * @version %I%, %G%
 */
public class MatrixReqdParam extends PobParam implements ActionListener {

    /**
     * Class constructor
     */
    public MatrixReqdParam() {
        this(MAT, MAT_DESC);
    }

    /**
     * Class constructor
     *
     * @param name
     * @param desc
     */
    public MatrixReqdParam(String name, String desc) {
        super(name, Matrix.class, desc, new Matrix[]{}, true);
    }

    public void setValue(Matrix m) {
        super.setValue(m);
    }

    public Matrix getMatrix() throws Exception {
        return (Matrix) getPob();
    }

}    // End class MatrixReqdParam

/*--- Formatted in Sun Java Convention Style on Fri, Sep 27, '02 ---*/
