package xtools.api.param;


import edu.mit.broad.genome.alg.gsea.Norms;

/**
 * @author Aravind Subramanian
 * @version %I%, %G%
 */
public class NormModeReqdParam extends StringReqdParam {

    /**
     * Class constructor
     *
     * @param name
     * @param desc
     */
    public NormModeReqdParam() {
        super("norm", "Normalization mode",
                "normalization mode",
                Norms.MEANDIV_POS_NEG_SEPERATE,
                Norms.createNormModeNames());
    }
    
    //GSAA_Seq only
    public NormModeReqdParam(String tool) {
        super("norm", "Normalization mode",
                "normalization mode",
                Norms.MEANDIV_POS_NEG_SEPERATE,
                Norms.createNormModeNamesSeq());
    }    

    public NormModeReqdParam(String def, String[] hints) {
        super("norm", "Normalization mode",
                "normalization mode",
                def,
                hints);
    }

    public String getNormModeName() {
        return super.getString();
    }

}    // End class NormModeParam

/*--- Formatted in Sun Java Convention Style on Fri, Sep 27, '02 ---*/
