package xtools.api.param;

/**
 * @author Aravind Subramanian
 * @version %I%, %G%
 */
public class Normalize2Param extends StringOptParam {
    // designed for gaddys clustering
    private static String[] MODES = new String[]{"none", "row", "col"};

    /**
     * Class constructor
     *
     * @param name
     * @param desc
     */
    public Normalize2Param() {
        super("norm", "Normalization mode",
                "Normalization mode",
                MODES[0],
                MODES,
                false
        );
    }

    public String getMode() {
        return super.getString(0);
    }

    public int getModeIndex() {
        return super.getSpecifiedPositions()[0];
    }

}    // End class Normalize2Param

