package xtools.api.param;

import edu.mit.broad.genome.alg.DatasetNormalizers;

/**
 * The Broad Institute
 * SOFTWARE COPYRIGHT NOTICE AGREEMENT
 * This software and its documentation are copyright 2004-2005 by the
 * Broad Institute/Massachusetts Institute of Technology.
 * All rights are reserved.
 * This software is supplied without any warranty or guaranteed support
 * whatsoever. Neither the Broad Institute nor MIT can be responsible for
 * its use, misuse, or functionality.
 */


/**
 * @author Aravind Subramanian
 * @version %I%, %G%
 */
public class NormalizeParam extends StringOptParam {

    /**
     * Class constructor
     *
     * @param name
     * @param desc
     */
    public NormalizeParam() {
        super("preproc", "Pre processing mode",
                "preprocessing mode",
                DatasetNormalizers.NORM_MODES[0],
                DatasetNormalizers.NORM_MODES,
                false
        );
    }

    public String getMode() {
        return super.getString(0);
    }

    public int getModeIndex() {
        return super.getSpecifiedPositions()[0];
    }

}    // End class NormalizeParam
