/**
 * The Broad Institute
 * SOFTWARE COPYRIGHT NOTICE AGREEMENT
 * This software and its documentation are copyright 2004-2005 by the
 * Broad Institute/Massachusetts Institute of Technology.
 * All rights are reserved.
 * This software is supplied without any warranty or guaranteed support
 * whatsoever. Neither the Broad Institute nor MIT can be responsible for
 * its use, misuse, or functionality.
 */
package xtools.api.param;


import edu.mit.broad.genome.objects.StringDataframe;

import java.awt.event.ActionListener;

/**
 * @author Aravind Subramanian
 * @version %I%, %G%
 */
public class StringDataframeReqdParam extends PobParam implements ActionListener {

    /**
     * Class constructor
     */
    public StringDataframeReqdParam() {
        this(SDF, SDF_DESC);
    }

    /**
     * Class constructor
     *
     * @param name
     * @param desc
     */
    public StringDataframeReqdParam(String name, String desc) {
        super(name, StringDataframe.class, desc, new StringDataframe[]{}, true);
    }

    public void setValue(StringDataframe sdf) {
        super.setValue(sdf);
    }

    public StringDataframe getStringDataframe() throws Exception {
        return (StringDataframe) getPob();
    }

}    // End class StringDataframeReqdParam

/*--- Formatted in Sun Java Convention Style on Fri, Sep 27, '02 ---*/
